#350 autosave not working

Release_1.3
accepted
nobody
None
windows
1
2013-05-20
2013-05-20
berlooka
No

hi.

not sure if this should be a support request or a bug notification....

autosave does not seem to be working. i also seem to have no .tsk files anywhere on my disk and was not prompted to save the tasks on shutting down Windows so seem to have lost the tasks that i had set up. :(

i have attached my .ini file so that you can see that autosave is indeed turned on.
i tested it again today, running as both regular user and administrator, and in neither case does it autosave correctly (as in there is no autosaving even though this feature is turned on in the preferences).

i previously had the "Minimize main window when closed" checked but this made it impossible to quit Task Coach. with this flag disabled, Task Coach now prompts me to save unsaved changes when i close it. it did not do this on shutdown while the flag was enabled as best i can tell.

Windows 8 Pro 64 bit, Task Coach 1.3.29

1 Attachments

Related

Support Requests: #350

Discussion

  • Aaron Wolf
    Aaron Wolf
    2013-05-20

    • status: unread --> accepted
     
  • Aaron Wolf
    Aaron Wolf
    2013-05-20

    First, you need to save your file once before auto-save does anything.

    Second, the actual quit command should still quit the program when the minimize option is on.

    Not showing a save dialog when you haven't saved but are minimized is indeed a bug.

    At any rate, if you just save your file initially, you'll be fine.

     
  • berlooka
    berlooka
    2013-05-20

    Aaron,

    Thanks for the incredibly prompt response.

    The thing with not being able to quit may just be my incompetence with
    Windows 8. The only option on the taskbar seems to be to go to the
    application and close the window. Closing the window just minimizes it.
    But I assume that you are correct that bringing up the application and
    Ctrl-Q'ing would work as expected.

    And, yes, in the notifcation icon menu, the Quit option shows up. My bad!

    Luca

    On 20/05/2013 16:17, Aaron Wolf wrote:

    First, you need to save your file once before auto-save does anything.

    Second, the actual quit command should still quit the program when the
    minimize option is on.

    Not showing a save dialog when you haven't saved but are minimized is
    indeed a bug.

    At any rate, if you just save your file initially, you'll be fine.


    [support-requests:#350]

    autosave
    not working

    Status: accepted
    Created: Mon May 20, 2013 02:10 PM UTC by berlooka
    Last Updated: Mon May 20, 2013 02:10 PM UTC
    Owner: nobody

    hi.

    not sure if this should be a support request or a bug notification....

    autosave does not seem to be working. i also seem to have no .tsk
    files anywhere on my disk and was not prompted to save the tasks on
    shutting down Windows so seem to have lost the tasks that i had set up. :(

    i have attached my .ini file so that you can see that autosave is
    indeed turned on.
    i tested it again today, running as both regular user and
    administrator, and in neither case does it autosave correctly (as in
    there is no autosaving even though this feature is turned on in the
    preferences).

    i previously had the "Minimize main window when closed" checked but
    this made it impossible to quit Task Coach. with this flag disabled,
    Task Coach now prompts me to save unsaved changes when i close it. it
    did not do this on shutdown while the flag was enabled as best i can tell.

    Windows 8 Pro 64 bit, Task Coach 1.3.29


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/taskcoach/support-requests/350/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Support Requests: #350